Story # 41853 (New): As an integrator I want an optimized setup

Status: Resolved Priority: Should have
Author: Robert Lemke Category:
Created: 2012-09-13 Assigned To: Karsten Dambekalns
Updated: 2012-11-06 Due date:
Subject: Setup doesn't validate / suceed to create databases with certain names
Description

On trying to create a new database "test-development", the setup tool fails with the following message:

Database "test-development" could not be created. Please check the permissions for user "root". PDO Exception:
"SQLSTATE[42000]: Syntax error or access violation: 1064 You have an error in your SQL syntax; check the manual that
corresponds to your MySQL server version for the right syntax to use near '-development' at line 1" 

Also, using database names like "@öaöæ«“|}{|„" are not validated by the setup tool.

Associated revisions
Revision 17728960 - 2012-10-23 16:19 - Karsten Dambekalns

[TASK] Quote database name upon creation

It is possible to use database names like "test-development" but it
was not possible to actually create them using the setup tool.

This change adds identifier quoting to the database creation step.

Change-Id: I9f01611bf3ee885b1486f74242842d6f28fd7d7a
Resolves: #40894

History
#1 - 2012-09-13 11:41 - Karsten Dambekalns

A dash must be quoted, and Doctrine DBAL doesn't quote automagically. We should make sure to validate and keep those characters out, IMHO.

#2 - 2012-09-13 11:42 - Robert Lemke

ah … and there could also be a bit of padding between the top of the exception message and the header ;-)

#3 - 2012-10-23 15:42 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns
- Target version changed from Sprint 10 (1.0 TP1) to Sprint February 2013
- Parent task set to #41853

#4 - 2012-10-23 16:19 - Gerrit Code Review
Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15906

#5 - 2012-10-23 16:22 - Karsten Dambekalns
- Status changed from Accepted to Under Review

#6 - 2012-11-06 13:35 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:17728960477dbeafc66a8fdae61aa23c35dfca21.
